# Lattica Query Client

A Python client library for securely executing AI inference with homomorphic encryption (HE) on Lattica's cloud platform.

## Overview

The `lattica_query` package provides a client-side interface for working with Lattica's homomorphic encryption system. It enables secure, private AI inference by allowing users to:

1. Generate encryption keys locally
2. Encrypt data with homomorphic encryption
3. Send encrypted data to Lattica's cloud service
4. Receive and decrypt computation results

With this library, sensitive data never leaves the client's environment in unencrypted form, ensuring privacy while leveraging cloud-based AI inference.

## Documentation

See documentation at: https://platformdocs.lattica.ai/

## License

Proprietary - © Lattica AI
See license details in the `LICENSE.md` file.

---

For more information, visit [https://www.lattica.ai](https://www.lattica.ai)
